Bug 70289 - None none selected on startup
Summary: None none selected on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rhpl   
(Show other bugs)
Version: limbo
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-31 14:38 UTC by Harald Hoyer
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 05:59:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2002-07-31 14:38:44 UTC
"None None" selected on startup

$ cat /etc/sysconfig/mouse
FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

Comment 1 Brent Fox 2002-08-09 03:46:06 UTC
Fixed in 0.9.9-2

QA, please verify.

Comment 2 Jay Turner 2002-08-13 18:25:27 UTC
I'm still getting "None None" on startup with redhat-config-mouse-0.9.9-3. 
/etc/sysconfig/mouse is this:

MOUSETYPE="ps/2"
XMOUSETYPE="PS/2"
FULLNAME="Generic Mouse (PS/2)"
XEMU3=yes
DEVICE=/dev/mouse

Comment 3 Brent Fox 2002-08-15 18:16:30 UTC
Try this in a command line:

python2.2
import kudzu
m = kudzu.probe(kudzu.CLASS_MOUSE, kudzu.BUS_UNSPEC, kudzu.PROBE_ALL)
print m


What does 'm' contain?  If it contains '[]', it means that the mouse could not
be found.  What can I do but select "None - None"?  Actually, all the probing is
being handled in rhpl, so I'm changing the component to it.

Comment 4 Jeremy Katz 2002-08-22 05:59:15 UTC
Fixed in redhat-config-mouse-0.9.10-1 and rhpl-0.45-1

Comment 5 Jay Turner 2002-08-30 15:34:01 UTC
Fix confirmed with redhat-config-mouse-1.0.1-1 and rhpl-0.50-1.


Note You need to log in before you can comment on or make changes to this bug.